/*
 * main.cpp
 *
 * Copyright (C) 2008 Jonathan Fine (were.Vire@gmail.com)
 *
 * This file is part of KRoots.
 *
 * KRoots is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * KRoots is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with KRoots.  If not, see <http://www.gnu.org/licenses/>.
 */
#include "kroots.h"
#include <KApplication>
#include <KAboutData>
#include <KCmdLineArgs>
#include <KLocale>

static const char description[] =
	I18N_NOOP("A Program that calculates all of the roots of a complex number and graphs them!");

static const char version[] = "1.5.0";

int main(int argc, char **argv)
{
	KAboutData about("kroots", 0, ki18n("KRoots"), version, ki18n(description),
					KAboutData::License_GPL_V3, ki18n("(C) 2009 Jonathan Fine"),
					KLocalizedString(), 0, "were.Vire@gmail.com");
	about.addAuthor( ki18n("Jonathan Fine"), KLocalizedString(), "were.Vire@gmail.com" );
	KCmdLineArgs::init(argc, argv, &about);
	
	KCmdLineOptions options;
	KCmdLineArgs::addCmdLineOptions(options);
	KApplication app;
	
	KRoots *widget = new KRoots;
	
	// see if we are starting with session management
	if (app.isSessionRestored())
	{
		RESTORE(KRoots);
	} else widget->show();
	
	return app.exec();
}
